Bug 634024 - [abrt] pdfedit-0.4.5-1.fc13: SIGSEGV: QListView::contentsMouseReleaseEventEx
[abrt] pdfedit-0.4.5-1.fc13: SIGSEGV: QListView::contentsMouseReleaseEventEx
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pdfedit (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
abrt_hash:34aa3870712bfa81d826a170613...
:
: 634364 664719 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-14 19:11 EDT by Lee Lian Hoy
Modified: 2011-06-28 08:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 08:51:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (61.77 KB, text/plain)
2010-09-14 19:11 EDT, Lee Lian Hoy
no flags Details

  None (edit)
Description Lee Lian Hoy 2010-09-14 19:11:36 EDT
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: pdfedit
component: pdfedit
crash_function: QListView::contentsMouseReleaseEventEx
executable: /usr/bin/pdfedit
kernel: 2.6.34.6-54.fc13.i686
package: pdfedit-0.4.5-1.fc13
rating: 4
reason: Process /usr/bin/pdfedit was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1284505724
uid: 500
Comment 1 Lee Lian Hoy 2010-09-14 19:11:39 EDT
Created an attachment (id=447354)
File: backtrace
Comment 2 Orion Poplawski 2010-09-15 18:47:32 EDT
*** Bug 634364 has been marked as a duplicate of this bug. ***
Comment 3 Orion Poplawski 2010-11-01 17:04:10 EDT
#0  0x06f6ca81 in QListView::contentsMouseReleaseEventEx (
    this=<value optimized out>, e=<value optimized out>)
    at widgets/qlistview.cpp:4583
        c = 178080128
        emitClicked = true
        vp = {xp = 33, yp = 32}
        i = 0xa9d4980
        rootColumnPos = <value optimized out>
#1  0x06f6cea5 in QListView::contentsMouseReleaseEvent (
    this=<value optimized out>, e=<value optimized out>)
    at widgets/qlistview.cpp:4465

Can you reproduce this?
Comment 4 Lee Lian Hoy 2010-11-01 17:22:58 EDT
No I'm sorry, wasn't paying attention when it occurred or I would have entered some information on how to produce in the notes.
All I remember was trying to select some text and highlighting it.
Comment 5 Orion Poplawski 2010-12-21 10:46:05 EST
*** Bug 664719 has been marked as a duplicate of this bug. ***
Comment 6 Orion Poplawski 2010-12-21 10:47:35 EST
I'm afraid that the pdfedit gui is essentially unmaintained at this point, waiting hopefully on a rewrite by upstream.
Comment 7 Bug Zapper 2011-05-31 09:29:44 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-28 08:51:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.